import request from '@/utils/request'

// 查询令牌管理列表
export function listApiToken(query) {
  return request({
    url: '/cert/apiToken/list',
    method: 'get',
    params: query
  })
}

// 查询令牌管理详细
export function getApiToken(id) {
  return request({
    url: '/cert/apiToken/' + id,
    method: 'get'
  })
}

// 新增令牌管理
export function addApiToken(data) {
  return request({
    url: '/cert/apiToken',
    method: 'post',
    data: data
  })
}

// 修改令牌管理
export function updateApiToken(data) {
  return request({
    url: '/cert/apiToken',
    method: 'put',
    data: data
  })
}

// 删除令牌管理
export function delApiToken(id) {
  return request({
    url: '/cert/apiToken/' + id,
    method: 'delete'
  })
}

// 刷新令牌管理
export function flushApiToken(id) {
  return request({
    url: '/cert/apiToken/flush/' + id,
    method: 'get'
  })
}

//生成用户KEY
export function generateKey(){
  return request({
    url: '/cert/apiToken/generateKey',
    method: 'get'
  })
}

//获取当前用户KEY列表
export function getKeyList(){
  return request({
    url: '/cert/apiToken/getKeyList',
    method: 'get'
  })
}

//删除用户KEY
export function delKey(key){
  return request({
    url: '/cert/apiToken/deleteKey/'+key,
    method: 'delete'
  })
}